// Author: Frank Benoit
// This prints the sizes of some C struct how they are defined in the c-bindings

import dwt.internal.win32.WINTYPES;

extern(C) int printf( char*, ... );

struct TSizeValue {
    char[] name;
    int size;
} ;

const TSizeValue[] size_values = [
    { "ABC", ABC.sizeof },
    { "ABCFLOAT", ABCFLOAT.sizeof },
    { "ACCEL", ACCEL.sizeof },
    { "ACCESS_ALLOWED_ACE", ACCESS_ALLOWED_ACE.sizeof },
    { "ACCESS_DENIED_ACE", ACCESS_DENIED_ACE.sizeof },
    { "ACCESSTIMEOUT", ACCESSTIMEOUT.sizeof },
    { "ACE_HEADER", ACE_HEADER.sizeof },
    { "ACL", ACL.sizeof },
    { "ACL_REVISION_INFORMATION", ACL_REVISION_INFORMATION.sizeof },
    { "ACL_SIZE_INFORMATION", ACL_SIZE_INFORMATION.sizeof },
    { "ACTCTXA", ACTCTXA.sizeof },
    { "ACTCTXW", ACTCTXW.sizeof },
    { "ACTION_HEADER", ACTION_HEADER.sizeof },
    { "ADAPTER_STATUS", ADAPTER_STATUS.sizeof },
    { "ADDJOB_INFO_1", ADDJOB_INFO_1.sizeof },
    { "ANIMATIONINFO", ANIMATIONINFO.sizeof },
    { "APPBARDATA", APPBARDATA.sizeof },
    { "BITMAP", BITMAP.sizeof },
    { "BITMAPCOREHEADER", BITMAPCOREHEADER.sizeof },
    { "BITMAPCOREINFO", BITMAPCOREINFO.sizeof },
    { "BITMAPFILEHEADER", BITMAPFILEHEADER.sizeof },
    { "BITMAPINFO", BITMAPINFO.sizeof },
    { "BITMAPINFOHEADER", BITMAPINFOHEADER.sizeof },
    { "BITMAPV4HEADER", BITMAPV4HEADER.sizeof },
    { "_BLENDFUNCTION", _BLENDFUNCTION.sizeof },
    { "BLOB", BLOB.sizeof },
    { "BROWSEINFOA", BROWSEINFOA.sizeof },
    { "BROWSEINFOW", BROWSEINFOW.sizeof },
    { "BUTTON_IMAGELIST", BUTTON_IMAGELIST.sizeof },
    { "BY_HANDLE_FILE_INFORMATION", BY_HANDLE_FILE_INFORMATION.sizeof },
    { "CANDIDATEFORM", CANDIDATEFORM.sizeof },
    { "CANDIDATELIST", CANDIDATELIST.sizeof },
    { "CBTACTIVATESTRUCT", CBTACTIVATESTRUCT.sizeof },
    { "CBT_CREATEWND", CBT_CREATEWND.sizeof },
    { "CHARFORMAT", CHARFORMAT.sizeof },
    { "CHAR_INFO", CHAR_INFO.sizeof },
    { "CHARRANGE", CHARRANGE.sizeof },
    { "CHARSET", CHARSET.sizeof },
    { "CHARSETINFO", CHARSETINFO.sizeof },
    { "CHOOSECOLORA", CHOOSECOLORA.sizeof },
    { "CHOOSECOLORW", CHOOSECOLORW.sizeof },
    { "CHOOSEFONTA", CHOOSEFONTA.sizeof },
    { "CHOOSEFONTW", CHOOSEFONTW.sizeof },
    { "CIDA", CIDA.sizeof },
    { "CIEXYZ", CIEXYZ.sizeof },
    { "CIEXYZTRIPLE", CIEXYZTRIPLE.sizeof },
    { "CLIENTCREATESTRUCT", CLIENTCREATESTRUCT.sizeof },
    { "CMINVOKECOMMANDINFO", CMINVOKECOMMANDINFO.sizeof },
    { "COLORADJUSTMENT", COLORADJUSTMENT.sizeof },
    { "COLORMAP", COLORMAP.sizeof },
    { "COMBOBOXINFO", COMBOBOXINFO.sizeof },
    { "COMMCONFIG", COMMCONFIG.sizeof },
    { "COMMPROP", COMMPROP.sizeof },
    { "COMMTIMEOUTS", COMMTIMEOUTS.sizeof },
    { "COMPAREITEMSTRUCT", COMPAREITEMSTRUCT.sizeof },
    { "COMPCOLOR", COMPCOLOR.sizeof },
    { "COMPOSITIONFORM", COMPOSITIONFORM.sizeof },
    { "COMSTAT", COMSTAT.sizeof },
    { "CONNECTDLGSTRUCT", CONNECTDLGSTRUCT.sizeof },
    { "CONSOLE_CURSOR_INFO", CONSOLE_CURSOR_INFO.sizeof },
    { "CONSOLE_SCREEN_BUFFER_INFO", CONSOLE_SCREEN_BUFFER_INFO.sizeof },
    { "CONTEXT", CONTEXT.sizeof },
    { "CONVCONTEXT", CONVCONTEXT.sizeof },
    { "CONVINFO", CONVINFO.sizeof },
    { "COORD", COORD.sizeof },
    { "COPYDATASTRUCT", COPYDATASTRUCT.sizeof },
    { "CPINFO", CPINFO.sizeof },
    { "CPLINFO", CPLINFO.sizeof },
    { "CREATE_PROCESS_DEBUG_INFO", CREATE_PROCESS_DEBUG_INFO.sizeof },
    { "CREATESTRUCT", CREATESTRUCT.sizeof },
    { "CREATE_THREAD_DEBUG_INFO", CREATE_THREAD_DEBUG_INFO.sizeof },
    { "CRITICAL_SECTION", CRITICAL_SECTION.sizeof },
    { "CRITICAL_SECTION_DEBUG", CRITICAL_SECTION_DEBUG.sizeof },
    { "CURRENCYFMT", CURRENCYFMT.sizeof },
    { "CURSORSHAPE", CURSORSHAPE.sizeof },
    { "CWPRETSTRUCT", CWPRETSTRUCT.sizeof },
    { "CWPSTRUCT", CWPSTRUCT.sizeof },
    { "DATATYPES_INFO_1", DATATYPES_INFO_1.sizeof },
    { "DCB", DCB.sizeof },
    { "DDEACK", DDEACK.sizeof },
    { "DDEADVISE", DDEADVISE.sizeof },
    { "DDEDATA", DDEDATA.sizeof },
    { "DDELN", DDELN.sizeof },
    { "DDEML_MSG_HOOK_DATA", DDEML_MSG_HOOK_DATA.sizeof },
    { "DDEPOKE", DDEPOKE.sizeof },
    { "DDEUP", DDEUP.sizeof },
    { "DEBUG_EVENT", DEBUG_EVENT.sizeof },
    { "DEBUGHOOKINFO", DEBUGHOOKINFO.sizeof },
    { "DELETEITEMSTRUCT", DELETEITEMSTRUCT.sizeof },
    { "DEV_BROADCAST_HDR", DEV_BROADCAST_HDR.sizeof },
    { "DEV_BROADCAST_OEM", DEV_BROADCAST_OEM.sizeof },
    { "DEV_BROADCAST_PORT", DEV_BROADCAST_PORT.sizeof },
    { "_DEV_BROADCAST_USERDEFINED", _DEV_BROADCAST_USERDEFINED.sizeof },
    { "DEV_BROADCAST_VOLUME", DEV_BROADCAST_VOLUME.sizeof },
    { "DEVMODEA", DEVMODEA.sizeof },
    { "DEVMODEW", DEVMODEW.sizeof },
    { "DEVNAMES", DEVNAMES.sizeof },
    { "DIBSECTION", DIBSECTION.sizeof },
    { "DISCDLGSTRUCT", DISCDLGSTRUCT.sizeof },
    { "DISK_GEOMETRY", DISK_GEOMETRY.sizeof },
    { "DISK_PERFORMANCE", DISK_PERFORMANCE.sizeof },
    { "DLGITEMTEMPLATE", DLGITEMTEMPLATE.sizeof },
    { "DLGTEMPLATE", DLGTEMPLATE.sizeof },
    { "DLLVERSIONINFO", DLLVERSIONINFO.sizeof },
    { "DOC_INFO_1", DOC_INFO_1.sizeof },
    { "DOC_INFO_2", DOC_INFO_2.sizeof },
    { "DOCINFOA", DOCINFOA.sizeof },
    { "DOCINFOW", DOCINFOW.sizeof },
    { "DRAGLISTINFO", DRAGLISTINFO.sizeof },
    { "DRAWITEMSTRUCT", DRAWITEMSTRUCT.sizeof },
    { "DRAWTEXTPARAMS", DRAWTEXTPARAMS.sizeof },
    { "DRIVE_LAYOUT_INFORMATION", DRIVE_LAYOUT_INFORMATION.sizeof },
    { "DRIVER_INFO_1", DRIVER_INFO_1.sizeof },
    { "DRIVER_INFO_2", DRIVER_INFO_2.sizeof },
    { "DRIVER_INFO_3", DRIVER_INFO_3.sizeof },
    { "DROPFILES", DROPFILES.sizeof },
    { "EDITSTREAM", EDITSTREAM.sizeof },
    { "EMPTYRECORD", EMPTYRECORD.sizeof },
    { "EMR", EMR.sizeof },
    { "EMRABORTPATH", EMRABORTPATH.sizeof },
    { "EMRANGLEARC", EMRANGLEARC.sizeof },
    { "EMRARC", EMRARC.sizeof },
    { "EMRBITBLT", EMRBITBLT.sizeof },
    { "EMRCREATEBRUSHINDIRECT", EMRCREATEBRUSHINDIRECT.sizeof },
    { "EMRCREATECOLORSPACE", EMRCREATECOLORSPACE.sizeof },
    { "EMRCREATEDIBPATTERNBRUSHPT", EMRCREATEDIBPATTERNBRUSHPT.sizeof },
    { "EMRCREATEMONOBRUSH", EMRCREATEMONOBRUSH.sizeof },
    { "EMRCREATEPALETTE", EMRCREATEPALETTE.sizeof },
    { "EMRCREATEPEN", EMRCREATEPEN.sizeof },
    { "EMRELLIPSE", EMRELLIPSE.sizeof },
    { "EMREOF", EMREOF.sizeof },
    { "EMREXCLUDECLIPRECT", EMREXCLUDECLIPRECT.sizeof },
    { "EMREXTCREATEFONTINDIRECTW", EMREXTCREATEFONTINDIRECTW.sizeof },
    { "EMREXTCREATEPEN", EMREXTCREATEPEN.sizeof },
    { "EMREXTFLOODFILL", EMREXTFLOODFILL.sizeof },
    { "EMREXTSELECTCLIPRGN", EMREXTSELECTCLIPRGN.sizeof },
    { "EMREXTTEXTOUTA", EMREXTTEXTOUTA.sizeof },
    { "EMRFILLPATH", EMRFILLPATH.sizeof },
    { "EMRFILLRGN", EMRFILLRGN.sizeof },
    { "EMRFORMAT", EMRFORMAT.sizeof },
    { "EMRFRAMERGN", EMRFRAMERGN.sizeof },
    { "EMRGDICOMMENT", EMRGDICOMMENT.sizeof },
    { "EMRINVERTRGN", EMRINVERTRGN.sizeof },
    { "EMRLINETO", EMRLINETO.sizeof },
    { "EMRMASKBLT", EMRMASKBLT.sizeof },
    { "EMRMODIFYWORLDTRANSFORM", EMRMODIFYWORLDTRANSFORM.sizeof },
    { "EMROFFSETCLIPRGN", EMROFFSETCLIPRGN.sizeof },
    { "EMRPLGBLT", EMRPLGBLT.sizeof },
    { "EMRPOLYDRAW", EMRPOLYDRAW.sizeof },
    { "EMRPOLYDRAW16", EMRPOLYDRAW16.sizeof },
    { "EMRPOLYLINE", EMRPOLYLINE.sizeof },
    { "EMRPOLYLINE16", EMRPOLYLINE16.sizeof },
    { "EMRPOLYPOLYLINE", EMRPOLYPOLYLINE.sizeof },
    { "EMRPOLYPOLYLINE16", EMRPOLYPOLYLINE16.sizeof },
    { "EMRPOLYTEXTOUTA", EMRPOLYTEXTOUTA.sizeof },
    { "EMRRESIZEPALETTE", EMRRESIZEPALETTE.sizeof },
    { "EMRRESTOREDC", EMRRESTOREDC.sizeof },
    { "EMRROUNDRECT", EMRROUNDRECT.sizeof },
    { "EMRSCALEVIEWPORTEXTEX", EMRSCALEVIEWPORTEXTEX.sizeof },
    { "EMRSELECTCLIPPATH", EMRSELECTCLIPPATH.sizeof },
    { "EMRSELECTCOLORSPACE", EMRSELECTCOLORSPACE.sizeof },
    { "EMRSELECTOBJECT", EMRSELECTOBJECT.sizeof },
    { "EMRSELECTPALETTE", EMRSELECTPALETTE.sizeof },
    { "EMRSETARCDIRECTION", EMRSETARCDIRECTION.sizeof },
    { "EMRSETBKCOLOR", EMRSETBKCOLOR.sizeof },
    { "EMRSETCOLORADJUSTMENT", EMRSETCOLORADJUSTMENT.sizeof },
    { "EMRSETDIBITSTODEVICE", EMRSETDIBITSTODEVICE.sizeof },
    { "EMRSETMAPPERFLAGS", EMRSETMAPPERFLAGS.sizeof },
    { "EMRSETMITERLIMIT", EMRSETMITERLIMIT.sizeof },
    { "EMRSETPALETTEENTRIES", EMRSETPALETTEENTRIES.sizeof },
    { "EMRSETPIXELV", EMRSETPIXELV.sizeof },
    { "EMRSETVIEWPORTEXTEX", EMRSETVIEWPORTEXTEX.sizeof },
    { "EMRSETVIEWPORTORGEX", EMRSETVIEWPORTORGEX.sizeof },
    { "EMRSETWORLDTRANSFORM", EMRSETWORLDTRANSFORM.sizeof },
    { "EMRSTRETCHBLT", EMRSTRETCHBLT.sizeof },
    { "EMRSTRETCHDIBITS", EMRSTRETCHDIBITS.sizeof },
    { "EMRTEXT", EMRTEXT.sizeof },
    { "ENCORRECTTEXT", ENCORRECTTEXT.sizeof },
    { "ENDROPFILES", ENDROPFILES.sizeof },
    { "ENHMETAHEADER", ENHMETAHEADER.sizeof },
    { "ENHMETARECORD", ENHMETARECORD.sizeof },
    { "ENOLEOPFAILED", ENOLEOPFAILED.sizeof },
    { "ENPROTECTED", ENPROTECTED.sizeof },
    { "ENSAVECLIPBOARD", ENSAVECLIPBOARD.sizeof },
    { "ENUMLOGFONTA", ENUMLOGFONTA.sizeof },
    { "ENUMLOGFONTEXA", ENUMLOGFONTEXA.sizeof },
    { "ENUMLOGFONTEXW", ENUMLOGFONTEXW.sizeof },
    { "ENUMLOGFONTW", ENUMLOGFONTW.sizeof },
    { "ENUM_SERVICE_STATUS", ENUM_SERVICE_STATUS.sizeof },
    { "EVENTLOGRECORD", EVENTLOGRECORD.sizeof },
    { "EVENTMSG", EVENTMSG.sizeof },
    { "EXCEPTION_DEBUG_INFO", EXCEPTION_DEBUG_INFO.sizeof },
    { "EXCEPTION_POINTERS", EXCEPTION_POINTERS.sizeof },
    { "EXCEPTION_RECORD", EXCEPTION_RECORD.sizeof },
    { "EXIT_PROCESS_DEBUG_INFO", EXIT_PROCESS_DEBUG_INFO.sizeof },
    { "EXIT_THREAD_DEBUG_INFO", EXIT_THREAD_DEBUG_INFO.sizeof },
    { "EXT_BUTTON", EXT_BUTTON.sizeof },
    { "EXTLOGFONT", EXTLOGFONT.sizeof },
    { "EXTLOGPEN", EXTLOGPEN.sizeof },
    { "FILETIME", FILETIME.sizeof },
    { "FILTERKEYS", FILTERKEYS.sizeof },
    { "FIND_NAME_BUFFER", FIND_NAME_BUFFER.sizeof },
    { "FIND_NAME_HEADER", FIND_NAME_HEADER.sizeof },
    { "FINDREPLACE", FINDREPLACE.sizeof },
    { "FINDTEXTEX", FINDTEXTEX.sizeof },
    { "FIXED", FIXED.sizeof },
    { "FLOATING_SAVE_AREA", FLOATING_SAVE_AREA.sizeof },
    { "FMS_GETDRIVEINFO", FMS_GETDRIVEINFO.sizeof },
    { "FMS_GETFILESEL", FMS_GETFILESEL.sizeof },
    { "FMS_LOAD", FMS_LOAD.sizeof },
    { "FMS_TOOLBARLOAD", FMS_TOOLBARLOAD.sizeof },
    { "FOCUS_EVENT_RECORD", FOCUS_EVENT_RECORD.sizeof },
    { "FONTSIGNATURE", FONTSIGNATURE.sizeof },
    { "FORMAT_PARAMETERS", FORMAT_PARAMETERS.sizeof },
    { "FORMATRANGE", FORMATRANGE.sizeof },
    { "FORM_INFO_1", FORM_INFO_1.sizeof },
    { "GCP_RESULTSA", GCP_RESULTSA.sizeof },
    { "GCP_RESULTSW", GCP_RESULTSW.sizeof },
    { "GENERIC_MAPPING", GENERIC_MAPPING.sizeof },
    { "GLYPHMETRICS", GLYPHMETRICS.sizeof },
    { "GLYPHMETRICSFLOAT", GLYPHMETRICSFLOAT.sizeof },
    { "GOFFSET", GOFFSET.sizeof },
    { "GRADIENT_RECT", GRADIENT_RECT.sizeof },
    { "GROUP_INFO_2", GROUP_INFO_2.sizeof },
    { "__GUID", __GUID.sizeof },
    { "GUITHREADINFO", GUITHREADINFO.sizeof },
    { "HANDLETABLE", HANDLETABLE.sizeof },
    { "HD_HITTESTINFO", HD_HITTESTINFO.sizeof },
    { "HD_ITEM", HD_ITEM.sizeof },
    { "HDITEMA", HDITEMA.sizeof },
    { "HDITEMW", HDITEMW.sizeof },
    { "HD_LAYOUT", HD_LAYOUT.sizeof },
    { "HD_NOTIFY", HD_NOTIFY.sizeof },
    { "HELPINFO", HELPINFO.sizeof },
    { "HELPWININFO", HELPWININFO.sizeof },
    { "HIGHCONTRASTA", HIGHCONTRASTA.sizeof },
    { "HIGHCONTRASTW", HIGHCONTRASTW.sizeof },
    { "HSZPAIR", HSZPAIR.sizeof },
    { "ICONINFO", ICONINFO.sizeof },
    { "ICONMETRICS", ICONMETRICS.sizeof },
    { "IMAGE_DOS_HEADER", IMAGE_DOS_HEADER.sizeof },
    { "IMAGEINFO", IMAGEINFO.sizeof },
    { "INITCOMMONCONTROLSEX", INITCOMMONCONTROLSEX.sizeof },
    { "INPUT", INPUT.sizeof },
    { "INPUT_RECORD", INPUT_RECORD.sizeof },
    { "ITEMIDLIST", ITEMIDLIST.sizeof },
    { "JOB_INFO_1", JOB_INFO_1.sizeof },
    { "JOB_INFO_2", JOB_INFO_2.sizeof },
    { "KERNINGPAIR", KERNINGPAIR.sizeof },
    { "KEYBDINPUT", KEYBDINPUT.sizeof },
    { "KEY_EVENT_RECORD", KEY_EVENT_RECORD.sizeof },
    { "LANA_ENUM", LANA_ENUM.sizeof },
    { "LAYERPLANEDESCRIPTOR", LAYERPLANEDESCRIPTOR.sizeof },
    { "LDT_ENTRY", LDT_ENTRY.sizeof },
    { "LIST_ENTRY", LIST_ENTRY.sizeof },
    { "LITEM", LITEM.sizeof },
    { "LOAD_DLL_DEBUG_INFO", LOAD_DLL_DEBUG_INFO.sizeof },
    { "LOCALESIGNATURE", LOCALESIGNATURE.sizeof },
    { "LOCALGROUP_INFO_0", LOCALGROUP_INFO_0.sizeof },
    { "LOCALGROUP_MEMBERS_INFO_0", LOCALGROUP_MEMBERS_INFO_0.sizeof },
    { "LOCALGROUP_MEMBERS_INFO_3", LOCALGROUP_MEMBERS_INFO_3.sizeof },
    { "LOGBRUSH", LOGBRUSH.sizeof },
    { "LOGCOLORSPACE", LOGCOLORSPACE.sizeof },
    { "LOGFONTA", LOGFONTA.sizeof },
    { "LOGFONTW", LOGFONTW.sizeof },
    { "LOGPALETTE", LOGPALETTE.sizeof },
    { "LOGPEN", LOGPEN.sizeof },
    { "LUID_AND_ATTRIBUTES", LUID_AND_ATTRIBUTES.sizeof },
    { "LV_COLUMN", LV_COLUMN.sizeof },
    { "LVCOLUMNA", LVCOLUMNA.sizeof },
    { "LVCOLUMNW", LVCOLUMNW.sizeof },
    { "LV_DISPINFO", LV_DISPINFO.sizeof },
    { "LV_FINDINFO", LV_FINDINFO.sizeof },
    { "LVFINDINFOA", LVFINDINFOA.sizeof },
    { "LVFINDINFOW", LVFINDINFOW.sizeof },
    { "LVHITTESTINFO", LVHITTESTINFO.sizeof },
    { "LV_HITTESTINFO", LV_HITTESTINFO.sizeof },
    { "LV_ITEM", LV_ITEM.sizeof },
    { "LVITEMA", LVITEMA.sizeof },
    { "LVITEMW", LVITEMW.sizeof },
    { "LV_KEYDOWN", LV_KEYDOWN.sizeof },
    { "MARGINS", MARGINS.sizeof },
    { "MAT2", MAT2.sizeof },
    { "MDICREATESTRUCT", MDICREATESTRUCT.sizeof },
    { "MEASUREITEMSTRUCT", MEASUREITEMSTRUCT.sizeof },
    { "MEMORY_BASIC_INFORMATION", MEMORY_BASIC_INFORMATION.sizeof },
    { "MEMORYSTATUS", MEMORYSTATUS.sizeof },
    { "MENUBARINFO", MENUBARINFO.sizeof },
    { "MENU_EVENT_RECORD", MENU_EVENT_RECORD.sizeof },
    { "MENUEX_TEMPLATE_HEADER", MENUEX_TEMPLATE_HEADER.sizeof },
    { "MENUEX_TEMPLATE_ITEM", MENUEX_TEMPLATE_ITEM.sizeof },
    { "MENUINFO", MENUINFO.sizeof },
    { "MENUITEMINFOA", MENUITEMINFOA.sizeof },
    { "MENUITEMINFOW", MENUITEMINFOW.sizeof },
    { "MENUITEMTEMPLATE", MENUITEMTEMPLATE.sizeof },
    { "MENUITEMTEMPLATEHEADER", MENUITEMTEMPLATEHEADER.sizeof },
    { "MENUTEMPLATE", MENUTEMPLATE.sizeof },
    { "METAFILEPICT", METAFILEPICT.sizeof },
    { "METAHEADER", METAHEADER.sizeof },
    { "METARECORD", METARECORD.sizeof },
    { "MINIMIZEDMETRICS", MINIMIZEDMETRICS.sizeof },
    { "MINMAXINFO", MINMAXINFO.sizeof },
    { "MODEMDEVCAPS", MODEMDEVCAPS.sizeof },
    { "MODEMSETTINGS", MODEMSETTINGS.sizeof },
    { "MONCBSTRUCT", MONCBSTRUCT.sizeof },
    { "MONCONVSTRUCT", MONCONVSTRUCT.sizeof },
    { "MONERRSTRUCT", MONERRSTRUCT.sizeof },
    { "MONHSZSTRUCT", MONHSZSTRUCT.sizeof },
    { "MONITORINFO", MONITORINFO.sizeof },
    { "MONITOR_INFO_1", MONITOR_INFO_1.sizeof },
    { "MONITOR_INFO_2", MONITOR_INFO_2.sizeof },
    { "MONLINKSTRUCT", MONLINKSTRUCT.sizeof },
    { "MONMSGSTRUCT", MONMSGSTRUCT.sizeof },
    { "MOUSE_EVENT_RECORD", MOUSE_EVENT_RECORD.sizeof },
    { "MOUSEHOOKSTRUCT", MOUSEHOOKSTRUCT.sizeof },
    { "MOUSEINPUT", MOUSEINPUT.sizeof },
    { "MOUSEKEYS", MOUSEKEYS.sizeof },
    { "MSG", MSG.sizeof },
    { "MSGBOXPARAMS", MSGBOXPARAMS.sizeof },
    { "MSGFILTER", MSGFILTER.sizeof },
    { "MULTIKEYHELP", MULTIKEYHELP.sizeof },
    { "NAME_BUFFER", NAME_BUFFER.sizeof },
    { "NCB", NCB.sizeof },
    { "NCCALCSIZE_PARAMS", NCCALCSIZE_PARAMS.sizeof },
    { "NDDESHAREINFO", NDDESHAREINFO.sizeof },
    { "NETCONNECTINFOSTRUCT", NETCONNECTINFOSTRUCT.sizeof },
    { "NETINFOSTRUCT", NETINFOSTRUCT.sizeof },
    { "NETRESOURCE", NETRESOURCE.sizeof },
    { "NEWCPLINFO", NEWCPLINFO.sizeof },
    { "NEWTEXTMETRICA", NEWTEXTMETRICA.sizeof },
    { "NEWTEXTMETRICEXA", NEWTEXTMETRICEXA.sizeof },
    { "NEWTEXTMETRICEXW", NEWTEXTMETRICEXW.sizeof },
    { "NEWTEXTMETRICW", NEWTEXTMETRICW.sizeof },
    { "NMCUSTOMDRAW", NMCUSTOMDRAW.sizeof },
    { "NMHDR", NMHDR.sizeof },
    { "NMHEADER", NMHEADER.sizeof },
    { "NMLINK", NMLINK.sizeof },
    { "NMLISTVIEW", NMLISTVIEW.sizeof },
    { "NM_LISTVIEW", NM_LISTVIEW.sizeof },
    { "NMLVCUSTOMDRAW", NMLVCUSTOMDRAW.sizeof },
    { "NMLVDISPINFOA", NMLVDISPINFOA.sizeof },
    { "NMLVDISPINFOW", NMLVDISPINFOW.sizeof },
    { "NMLVFINDITEMA", NMLVFINDITEMA.sizeof },
    { "NMLVFINDITEMW", NMLVFINDITEMW.sizeof },
    { "NMLVODSTATECHANGE", NMLVODSTATECHANGE.sizeof },
    { "NMREBARCHEVRON", NMREBARCHEVRON.sizeof },
    { "NMREBARCHILDSIZE", NMREBARCHILDSIZE.sizeof },
    { "NMRGINFO", NMRGINFO.sizeof },
    { "NMTBHOTITEM", NMTBHOTITEM.sizeof },
    { "NMTOOLBARA", NMTOOLBARA.sizeof },
    { "NMTOOLBARW", NMTOOLBARW.sizeof },
    { "NMTREEVIEW", NMTREEVIEW.sizeof },
    { "NMTTCUSTOMDRAW", NMTTCUSTOMDRAW.sizeof },
    { "NMTTDISPINFOA", NMTTDISPINFOA.sizeof },
    { "NMTTDISPINFOW", NMTTDISPINFOW.sizeof },
    { "NMTVCUSTOMDRAW", NMTVCUSTOMDRAW.sizeof },
    { "NMTVDISPINFO", NMTVDISPINFO.sizeof },
    { "NMTVITEMCHANGE", NMTVITEMCHANGE.sizeof },
    { "NM_UPDOWNW", NM_UPDOWNW.sizeof },
    { "NONCLIENTMETRICSA", NONCLIENTMETRICSA.sizeof },
    { "NONCLIENTMETRICSW", NONCLIENTMETRICSW.sizeof },
    { "NOTIFYICONDATAA", NOTIFYICONDATAA.sizeof },
    { "NOTIFYICONDATAW", NOTIFYICONDATAW.sizeof },
    { "NS_SERVICE_INFO", NS_SERVICE_INFO.sizeof },
    { "NUMBERFMT", NUMBERFMT.sizeof },
    { "_OBJECT_TYPE_LIST", _OBJECT_TYPE_LIST.sizeof },
    { "OFNOTIFY", OFNOTIFY.sizeof },
    { "OFSTRUCT", OFSTRUCT.sizeof },
    { "OPENFILENAME", OPENFILENAME.sizeof },
    { "OPENFILENAMEA", OPENFILENAMEA.sizeof },
    { "OPENFILENAMEW", OPENFILENAMEW.sizeof },
    { "OSVERSIONINFOA", OSVERSIONINFOA.sizeof },
    { "OSVERSIONINFOEX", OSVERSIONINFOEX.sizeof },
    { "OSVERSIONINFOW", OSVERSIONINFOW.sizeof },
    { "OUTLINETEXTMETRICA", OUTLINETEXTMETRICA.sizeof },
    { "OUTLINETEXTMETRICW", OUTLINETEXTMETRICW.sizeof },
    { "OUTPUT_DEBUG_STRING_INFO", OUTPUT_DEBUG_STRING_INFO.sizeof },
    { "OVERLAPPED", OVERLAPPED.sizeof },
    { "PAINTSTRUCT", PAINTSTRUCT.sizeof },
    { "PALETTEENTRY", PALETTEENTRY.sizeof },
    { "PANOSE", PANOSE.sizeof },
    { "PARAFORMAT", PARAFORMAT.sizeof },
    { "PARTITION_INFORMATION", PARTITION_INFORMATION.sizeof },
    { "PERF_COUNTER_BLOCK", PERF_COUNTER_BLOCK.sizeof },
    { "PERF_COUNTER_DEFINITION", PERF_COUNTER_DEFINITION.sizeof },
    { "PERF_DATA_BLOCK", PERF_DATA_BLOCK.sizeof },
    { "PERF_INSTANCE_DEFINITION", PERF_INSTANCE_DEFINITION.sizeof },
    { "PERF_OBJECT_TYPE", PERF_OBJECT_TYPE.sizeof },
    { "PIXELFORMATDESCRIPTOR", PIXELFORMATDESCRIPTOR.sizeof },
    { "POINT", POINT.sizeof },
    { "POINTFLOAT", POINTFLOAT.sizeof },
    { "POINTFX", POINTFX.sizeof },
    { "POINTL", POINTL.sizeof },
    { "POINTS", POINTS.sizeof },
    { "POLYTEXT", POLYTEXT.sizeof },
    { "PORT_INFO_1", PORT_INFO_1.sizeof },
    { "PORT_INFO_2", PORT_INFO_2.sizeof },
    { "PREVENT_MEDIA_REMOVAL", PREVENT_MEDIA_REMOVAL.sizeof },
    { "PRINTDLGA", PRINTDLGA.sizeof },
    { "PRINTDLGW", PRINTDLGW.sizeof },
    { "PRINTER_DEFAULTS", PRINTER_DEFAULTS.sizeof },
    { "PRINTER_INFO_1", PRINTER_INFO_1.sizeof },
    { "PRINTER_INFO_2", PRINTER_INFO_2.sizeof },
    { "PRINTER_INFO_3", PRINTER_INFO_3.sizeof },
    { "PRINTER_INFO_4", PRINTER_INFO_4.sizeof },
    { "PRINTER_INFO_5", PRINTER_INFO_5.sizeof },
    { "PRINTER_NOTIFY_INFO", PRINTER_NOTIFY_INFO.sizeof },
    { "PRINTER_NOTIFY_INFO_DATA", PRINTER_NOTIFY_INFO_DATA.sizeof },
    { "PRINTER_NOTIFY_OPTIONS", PRINTER_NOTIFY_OPTIONS.sizeof },
    { "PRINTER_NOTIFY_OPTIONS_TYPE", PRINTER_NOTIFY_OPTIONS_TYPE.sizeof },
    { "PRINTPROCESSOR_INFO_1", PRINTPROCESSOR_INFO_1.sizeof },
    { "PRIVILEGE_SET", PRIVILEGE_SET.sizeof },
    { "PROCESS_HEAPENTRY", PROCESS_HEAPENTRY.sizeof },
    { "PROCESS_INFORMATION", PROCESS_INFORMATION.sizeof },
    { "PROPSHEETHEADER", PROPSHEETHEADER.sizeof },
    { "PROPSHEETHEADER_U1", PROPSHEETHEADER_U1.sizeof },
    { "PROPSHEETHEADER_U2", PROPSHEETHEADER_U2.sizeof },
    { "PROPSHEETHEADER_U3", PROPSHEETHEADER_U3.sizeof },
    { "PROPSHEETPAGE", PROPSHEETPAGE.sizeof },
    { "PROPSHEETPAGE_U1", PROPSHEETPAGE_U1.sizeof },
    { "PROPSHEETPAGE_U2", PROPSHEETPAGE_U2.sizeof },
    { "PROTOCOL_INFO", PROTOCOL_INFO.sizeof },
    { "PROVIDOR_INFO_1", PROVIDOR_INFO_1.sizeof },
    { "PSHNOTIFY", PSHNOTIFY.sizeof },
    { "PUNCTUATION", PUNCTUATION.sizeof },
    { "QUERY_SERVICE_CONFIG", QUERY_SERVICE_CONFIG.sizeof },
    { "QUERY_SERVICE_LOCK_STATUS", QUERY_SERVICE_LOCK_STATUS.sizeof },
    { "RASAMB", RASAMB.sizeof },
    { "RASCONN", RASCONN.sizeof },
    { "RASCONNSTATUS", RASCONNSTATUS.sizeof },
    { "RASDIALEXTENSIONS", RASDIALEXTENSIONS.sizeof },
    { "RASDIALPARAMS", RASDIALPARAMS.sizeof },
    { "RASENTRYNAME", RASENTRYNAME.sizeof },
    { "RASPPPIP", RASPPPIP.sizeof },
    { "RASPPPIPX", RASPPPIPX.sizeof },
    { "RASPPPNBF", RASPPPNBF.sizeof },
    { "RASTERIZER_STATUS", RASTERIZER_STATUS.sizeof },
    { "REASSIGN_BLOCKS", REASSIGN_BLOCKS.sizeof },
    { "REBARBANDINFOA", REBARBANDINFOA.sizeof },
    { "REBARBANDINFOW", REBARBANDINFOW.sizeof },
    { "RECT", RECT.sizeof },
    { "RECTL", RECTL.sizeof },
    { "REMOTE_NAME_INFO", REMOTE_NAME_INFO.sizeof },
    { "REPASTESPECIAL", REPASTESPECIAL.sizeof },
    { "REQRESIZE", REQRESIZE.sizeof },
    { "RGBQUAD", RGBQUAD.sizeof },
    { "RGBTRIPLE", RGBTRIPLE.sizeof },
    { "RGNDATA", RGNDATA.sizeof },
    { "RGNDATAHEADER", RGNDATAHEADER.sizeof },
    { "RIP_INFO", RIP_INFO.sizeof },
    { "SCRIPT_ANALYSIS", SCRIPT_ANALYSIS.sizeof },
    { "SCRIPT_CONTROL", SCRIPT_CONTROL.sizeof },
    { "SCRIPT_DIGITSUBSTITUTE", SCRIPT_DIGITSUBSTITUTE.sizeof },
    { "SCRIPT_FONTPROPERTIES", SCRIPT_FONTPROPERTIES.sizeof },
    { "SCRIPT_ITEM", SCRIPT_ITEM.sizeof },
    { "SCRIPT_LOGATTR", SCRIPT_LOGATTR.sizeof },
    { "SCRIPT_PROPERTIES", SCRIPT_PROPERTIES.sizeof },
    { "SCRIPT_STATE", SCRIPT_STATE.sizeof },
    { "SCRIPT_TABDEF", SCRIPT_TABDEF.sizeof },
    { "SCRIPT_VISATTR", SCRIPT_VISATTR.sizeof },
    { "SCROLLBARINFO", SCROLLBARINFO.sizeof },
    { "SCROLLINFO", SCROLLINFO.sizeof },
    { "SECURITY_ATTRIBUTES", SECURITY_ATTRIBUTES.sizeof },
    { "SECURITY_DESCRIPTOR", SECURITY_DESCRIPTOR.sizeof },
    { "SECURITY_QUALITY_OF_SERVICE", SECURITY_QUALITY_OF_SERVICE.sizeof },
    { "SELCHANGE", SELCHANGE.sizeof },
    { "SERIALKEYS", SERIALKEYS.sizeof },
    { "SERVICE_ADDRESS", SERVICE_ADDRESS.sizeof },
    { "SERVICE_ADDRESSES", SERVICE_ADDRESSES.sizeof },
    { "SERVICE_INFO", SERVICE_INFO.sizeof },
    { "SERVICE_STATUS", SERVICE_STATUS.sizeof },
    { "SERVICE_TABLE_ENTRY", SERVICE_TABLE_ENTRY.sizeof },
    { "SERVICE_TYPE_INFO_ABS", SERVICE_TYPE_INFO_ABS.sizeof },
    { "SERVICE_TYPE_VALUE_ABS", SERVICE_TYPE_VALUE_ABS.sizeof },
    { "SESSION_BUFFER", SESSION_BUFFER.sizeof },
    { "SESSION_HEADER", SESSION_HEADER.sizeof },
    { "SET_PARTITION_INFORMATION", SET_PARTITION_INFORMATION.sizeof },
    { "SHDRAGIMAGE", SHDRAGIMAGE.sizeof },
    { "SHELLEXECUTEINFOA", SHELLEXECUTEINFOA.sizeof },
    { "SHELLEXECUTEINFOW", SHELLEXECUTEINFOW.sizeof },
    { "SHFILEINFOA", SHFILEINFOA.sizeof },
    { "SHFILEINFOW", SHFILEINFOW.sizeof },
    { "SHFILEOPSTRUCT", SHFILEOPSTRUCT.sizeof },
    { "SHITEMID", SHITEMID.sizeof },
    { "SHMENUBARINFO", SHMENUBARINFO.sizeof },
    { "SHNAMEMAPPING", SHNAMEMAPPING.sizeof },
    { "SHRGINFO", SHRGINFO.sizeof },
    { "SID", SID.sizeof },
    { "SID_AND_ATTRIBUTES", SID_AND_ATTRIBUTES.sizeof },
    { "SID_IDENTIFIER_AUTHORITY", SID_IDENTIFIER_AUTHORITY.sizeof },
    { "SINGLE_LIST_ENTRY", SINGLE_LIST_ENTRY.sizeof },
    { "SIPINFO", SIPINFO.sizeof },
    { "SIZE", SIZE.sizeof },
    { "SMALL_RECT", SMALL_RECT.sizeof },
    { "SOUNDSENTRY", SOUNDSENTRY.sizeof },
    { "STARTUPINFO", STARTUPINFO.sizeof },
    { "STICKYKEYS", STICKYKEYS.sizeof },
    { "STRRET", STRRET.sizeof },
    { "STYLEBUF", STYLEBUF.sizeof },
    { "STYLESTRUCT", STYLESTRUCT.sizeof },
    { "SYSTEM_AUDIT_ACE", SYSTEM_AUDIT_ACE.sizeof },
    { "SYSTEM_INFO", SYSTEM_INFO.sizeof },
    { "SYSTEM_INFO_U", SYSTEM_INFO_U.sizeof },
    { "SYSTEM_POWER_STATUS", SYSTEM_POWER_STATUS.sizeof },
    { "SYSTEMTIME", SYSTEMTIME.sizeof },
    { "tagMONITORINFO", tagMONITORINFO.sizeof },
    { "tagMONITORINFOEX", tagMONITORINFOEX.sizeof },
    { "TAPE_ERASE", TAPE_ERASE.sizeof },
    { "TAPE_GET_DRIVE_PARAMETERS", TAPE_GET_DRIVE_PARAMETERS.sizeof },
    { "TAPE_GET_MEDIA_PARAMETERS", TAPE_GET_MEDIA_PARAMETERS.sizeof },
    { "TAPE_GET_POSITION", TAPE_GET_POSITION.sizeof },
    { "TAPE_PREPARE", TAPE_PREPARE.sizeof },
    { "TAPE_SET_DRIVE_PARAMETERS", TAPE_SET_DRIVE_PARAMETERS.sizeof },
    { "TAPE_SET_MEDIA_PARAMETERS", TAPE_SET_MEDIA_PARAMETERS.sizeof },
    { "TAPE_SET_POSITION", TAPE_SET_POSITION.sizeof },
    { "TAPE_WRITE_MARKS", TAPE_WRITE_MARKS.sizeof },
    { "TBADDBITMAP", TBADDBITMAP.sizeof },
    { "TBBUTTON", TBBUTTON.sizeof },
    { "TBBUTTONINFOA", TBBUTTONINFOA.sizeof },
    { "TBBUTTONINFOW", TBBUTTONINFOW.sizeof },
    { "TBNOTIFY", TBNOTIFY.sizeof },
    { "TBSAVEPARAMS", TBSAVEPARAMS.sizeof },
    { "TC_HITTESTINFO", TC_HITTESTINFO.sizeof },
    { "TC_ITEM", TC_ITEM.sizeof },
    { "TCITEMA", TCITEMA.sizeof },
    { "TC_ITEMHEADER", TC_ITEMHEADER.sizeof },
    { "TCITEMW", TCITEMW.sizeof },
    { "TC_KEYDOWN", TC_KEYDOWN.sizeof },
    { "TEXTMETRICA", TEXTMETRICA.sizeof },
    { "TEXTMETRICW", TEXTMETRICW.sizeof },
    { "TEXTRANGE", TEXTRANGE.sizeof },
    { "TF_DA_COLOR", TF_DA_COLOR.sizeof },
    { "TF_DISPLAYATTRIBUTE", TF_DISPLAYATTRIBUTE.sizeof },
    { "TFINDTEXT", TFINDTEXT.sizeof },
    { "TIME_ZONE_INFORMATION", TIME_ZONE_INFORMATION.sizeof },
    { "TOGGLEKEYS", TOGGLEKEYS.sizeof },
    { "TOKEN_CONTROL", TOKEN_CONTROL.sizeof },
    { "TOKEN_DEFAULT_DACL", TOKEN_DEFAULT_DACL.sizeof },
    { "TOKEN_GROUPS", TOKEN_GROUPS.sizeof },
    { "TOKEN_OWNER", TOKEN_OWNER.sizeof },
    { "TOKEN_PRIMARY_GROUP", TOKEN_PRIMARY_GROUP.sizeof },
    { "TOKEN_PRIVILEGES", TOKEN_PRIVILEGES.sizeof },
    { "TOKEN_SOURCE", TOKEN_SOURCE.sizeof },
    { "TOKEN_STATISTICS", TOKEN_STATISTICS.sizeof },
    { "TOKEN_USER", TOKEN_USER.sizeof },
    { "TOOLINFOA", TOOLINFOA.sizeof },
    { "TOOLINFOW", TOOLINFOW.sizeof },
    { "TOOLTIPTEXTA", TOOLTIPTEXTA.sizeof },
    { "TOOLTIPTEXTW", TOOLTIPTEXTW.sizeof },
    { "TPAGESETUPDLG", TPAGESETUPDLG.sizeof },
    { "TPMPARAMS", TPMPARAMS.sizeof },
    { "TRACKMOUSEEVENT", TRACKMOUSEEVENT.sizeof },
    { "TRANSMIT_FILE_BUFFERS", TRANSMIT_FILE_BUFFERS.sizeof },
    { "TREEITEM", TREEITEM.sizeof },
    { "TRIVERTEX", TRIVERTEX.sizeof },
    { "TSMALLPOINT", TSMALLPOINT.sizeof },
    { "TTHITTESTINFO", TTHITTESTINFO.sizeof },
    { "TTPOLYCURVE", TTPOLYCURVE.sizeof },
    { "TTPOLYGONHEADER", TTPOLYGONHEADER.sizeof },
    { "TVARIANT", TVARIANT.sizeof },
    { "TV_DISPINFO", TV_DISPINFO.sizeof },
    { "TVHITTESTINFO", TVHITTESTINFO.sizeof },
    { "TV_HITTESTINFO", TV_HITTESTINFO.sizeof },
    { "TVINSERTSTRUCTA", TVINSERTSTRUCTA.sizeof },
    { "TVINSERTSTRUCTW", TVINSERTSTRUCTW.sizeof },
    { "TVITEMA", TVITEMA.sizeof },
    { "TVITEMW", TVITEMW.sizeof },
    { "TV_KEYDOWN", TV_KEYDOWN.sizeof },
    { "TVSORTCB", TVSORTCB.sizeof },
    { "TV_SORTCB", TV_SORTCB.sizeof },
    { "TWAVEFORMATEX", TWAVEFORMATEX.sizeof },
    { "UDACCEL", UDACCEL.sizeof },
    { "UNIVERSAL_NAME_INFO", UNIVERSAL_NAME_INFO.sizeof },
    { "UNLOAD_DLL_DEBUG_INFO", UNLOAD_DLL_DEBUG_INFO.sizeof },
    { "USER_INFO_0", USER_INFO_0.sizeof },
    { "USER_INFO_2", USER_INFO_2.sizeof },
    { "USER_INFO_3", USER_INFO_3.sizeof },
    { "USEROBJECTFLAGS", USEROBJECTFLAGS.sizeof },
    { "VALENT", VALENT.sizeof },
    { "VA_LIST", VA_LIST.sizeof },
    { "VERIFY_INFORMATION", VERIFY_INFORMATION.sizeof },
    { "VS_FIXEDFILEINFO", VS_FIXEDFILEINFO.sizeof },
    { "WIN32_FILE_ATTRIBUTE_DATA", WIN32_FILE_ATTRIBUTE_DATA.sizeof },
    { "WIN32_FIND_DATA", WIN32_FIND_DATA.sizeof },
    { "WIN32_FIND_DATAW", WIN32_FIND_DATAW.sizeof },
    { "WIN32_STREAM_ID", WIN32_STREAM_ID.sizeof },
    { "WINDOW_BUFFER_SIZE_RECORD", WINDOW_BUFFER_SIZE_RECORD.sizeof },
    { "WINDOWINFO", WINDOWINFO.sizeof },
    { "WINDOWPLACEMENT", WINDOWPLACEMENT.sizeof },
    { "WINDOWPOS", WINDOWPOS.sizeof },
    { "WNDCLASSA", WNDCLASSA.sizeof },
    { "WNDCLASSEX", WNDCLASSEX.sizeof },
    { "WNDCLASSW", WNDCLASSW.sizeof },
    { "XFORM", XFORM.sizeof },
];

int main( char[][] args ){
    foreach( v; size_values ){
        printf( "%.*s\t%d\n", v.name, v.size );
    }
    return 0;
}



